+1998-02-25 Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
+
+ * sysdeps/libm-ieee754/s_isnanl.c: Ignore the explicit integer
+ bit.
+ * sysdeps/libm-ieee754/s_isinfl.c: Likewise.
+
1998-02-27 Ulrich Drepper <drepper@cygnus.com>
* libc.map: Add __adjtimex.
1998-02-25 08:28 H.J. Lu <hjl@gnu.org>
- * math/test-fenv.c (print_rounding): Fix a typo in
- FE_TOWARDSZERO.
-
* sysdeps/alpha/fpu/fraiseexcpt.c (feraiseexcept): Use a dummy
for FE_DIVBYZERO. Kludge for FE_UNDERFLOW.
#! @BASH@
-# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+# Copyright (C) 1996, 1997, 1998 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
case "$1" in
--vers | --versi | --versio | --version)
echo 'ldd (GNU libc) @VERSION@'
- echo $"Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+ echo $"Copyright (C) 1996, 1997, 1998 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper."
- exit 0 ;;
+ exit 0
+ ;;
--h | --he | --hel | --help)
echo $"ldd [OPTION]... FILE...
--help print this help and exit
-r, --function-relocs process data and function relocations
-v, --verbose print all information
Report bugs using the \`glibcbug' script to <bugs@gnu.org>."
- exit 0 ;;
+ exit 0
+ ;;
-d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \
--data-rel | --data-relo | --data-reloc | --data-relocs)
warn=yes
- shift ;;
+ shift
+ ;;
-r | --f | --fu | --fun | --func | --funct | --functi | --functio | \
--function | --function- | --function-r | --function-re | --function-rel | \
--function-relo | --function-reloc | --function-relocs)
warn=yes
bind_now=yes
- shift ;;
+ shift
+ ;;
-v | --verb | --verbo | --verbos | --verbose)
verbose=yes
- shift ;;
+ shift
+ ;;
--v | --ve | --ver)
echo >&2 $"ldd: option \`$1' is ambiguous"
- exit 1 ;;
+ exit 1
+ ;;
--) # Stop option processing.
- shift; break ;;
+ shift; break
+ ;;
-*)
echo >&2 'ldd:' $"unrecognized option" "\`$1'"
echo >&2 $"Try \`ldd --help' for more information."
- exit 1 ;;
+ exit 1
+ ;;
*)
- break ;;
+ break
+ ;;
esac
done
0)
echo >&2 'ldd:' $"missing file arguments"
echo >&2 $"Try \`ldd --help' for more information."
- exit 1 ;;
+ exit 1
+ ;;
1)
# We don't list the file name when there is only one.
case "$1" in
- */*) file="$1" ;;
- *) file="./$1" ;;
+ */*) file="$1"
+ ;;
+ *) file="./$1"
+ ;;
esac
if test ! -f "$file"; then
echo "ldd: ${file}:" $"no such file"
echo 'ldd:' $"error: you do not have read permission for" "\`$file'"
exit 1
fi
- exit ;;
+ exit
+ ;;
*)
result=0
for file; do
echo "${file}:"
case "$file" in
- */*) : ;;
- *) file="./$file" ;;
+ */*) :
+ ;;
+ *) file="./$file"
+ ;;
esac
if test ! -f "$file"; then
echo "ldd: ${file}:" $"no such file"
case "$1" in
--vers | --versi | --versio | --version)
echo 'ldd (GNU libc) @VERSION@
-Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+Copyright (C) 1996, 1997, 1998 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Written by Roland McGrath and Ulrich Drepper.'
- exit 0 ;;
+ exit 0
+ ;;
--h | --he | --hel | --help)
echo "ldd [OPTION]... FILE...
--help print this help and exit
-r, --function-relocs process data and function relocations
-v, --verbose print all information
Report bugs using the \`glibcbug' script to <bugs@gnu.org>."
- exit 0 ;;
+ exit 0
+ ;;
-d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \
--data-rel | --data-relo | --data-reloc | --data-relocs)
warn=yes
- shift ;;
+ shift
+ ;;
-r | --f | --fu | --fun | --func | --funct | --functi | --functio | \
--function | --function- | --function-r | --function-re | --function-rel | \
--function-relo | --function-reloc | --function-relocs)
warn=yes
bind_now=yes
- shift ;;
+ shift
+ ;;
-v | --verb | --verbo | --verbos | --verbose)
verbose=yes
- shift ;;
+ shift
+ ;;
--v | --ve | --ver)
echo >&2 "ldd: option \`$1' is ambiguous"
- exit 1 ;;
+ exit 1
+ ;;
--) # Stop option processing.
- shift; break ;;
+ shift; break
+ ;;
-*)
echo >&2 "\
ldd: unrecognized option \`$1'
Try \`ldd --help' for more information."
- exit 1 ;;
+ exit 1
+ ;;
*)
- break ;;
+ break
+ ;;
esac
done
echo >&2 "\
ldd: missing file arguments
Try \`ldd --help' for more information."
- exit 1 ;;
+ exit 1
+ ;;
1)
# We don't list the file name when there is only one.
case "$1" in
- */*) file="$1" ;;
- *) file="./$1" ;;
+ */*) file="$1"
+ ;;
+ *) file="./$1"
+ ;;
esac
if test ! -f "$file"; then
echo "ldd: ${file}: no such file"
exit 1
fi
fi
- exit ;;
+ exit
+ ;;
*)
set -e # Bail out immediately if ${RTLD} loses on any argument.
result=0
for file; do
echo "${file}:"
case "$file" in
- */*) : ;;
- *) file="./$file" ;;
+ */*) :
+ ;;
+ *) file="./$file"
+ ;;
esac
if test ! -f "$file"; then
echo "ldd: ${file}: no such file"
include ../Rules
-subdir_install: $(inst_bindir)iconv
+subdir_install: $(inst_bindir)/iconv
-$(inst_bindir)iconv: $(objpfx)iconv_prog
- $(do-install)
+$(inst_bindir)/iconv: $(objpfx)iconv_prog
+ $(do-install-program)
int pd[2];
infilename = (infile == NULL) ? "<stdin>" : infile;
- pipe (pd);
+ if (pipe (pd) != 0)
+ {
+ perror ("pipe");
+ exit (1);
+ }
switch (fork ())
{
case 0:
{
int32_t se,hx,lx;
GET_LDOUBLE_WORDS(se,hx,lx,x);
- hx |= lx | ((se & 0x7fff) ^ 0x7fff);
- hx |= -hx;
+ lx |= (hx & 0x7fffffff) | ((se & 0x7fff) ^ 0x7fff);
+ lx |= -lx;
se &= 0x8000;
- return ~(hx >> 31) & (1 - (se >> 14));
+ return ~(lx >> 31) & (1 - (se >> 14));
}
weak_alias (__isinfl, isinfl)
int32_t se,hx,lx;
GET_LDOUBLE_WORDS(se,hx,lx,x);
se = (se & 0x7fff) << 1;
- hx |= lx;
- se |= (u_int32_t)(hx|(-hx))>>31;
+ lx |= hx & 0x7fffffff;
+ se |= (u_int32_t)(lx|(-lx))>>31;
se = 0xfffe - se;
return (int)((u_int32_t)(se))>>16;
}
{
clock_t start, stop;
- signal(SIGALRM, alarm_handler);
+ if (signal(SIGALRM, alarm_handler) -- SIG_ERR)
+ {
+ perror ("signal");
+ exit (1);
+ }
alarm(1);
start = clock ();
while (!gotit);